C API Functions

## udbMetricEntityIsDefined

### Description

Return true if the specified metric is defined for the specified entity (kind).

Refer to udbMetricEntity for a list of metrics supported for each language.

### Syntax

     #include "udb/udb.h"
     int udbMetricEntityIsDefined(UdbEntity entity,
                                  UdbMetric metric)

### Arguments

Argument | description
UdbEntity entity | Specified entity to check for.
UdbMetric metric | Specified metric to check for

### Return Values

Return Value | description
int | true if the specified metric is defined for the kind of the specified entity .

### Example Usage

     if (udbMetricEntityIsDefined(entity,
                                 Udb_cMetricCountLineCode) )
     ...

### See Also

udbMetricEntity to get a specified metric of an entity.

udbMetricIsRatio to check if the metric is a ratio.

udbMetricProject to get project-level metrics.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com